# Interface CircleBridge<N, P, C>

#### Type Parameters

- #### N extends Network

- #### P extends Platform

- #### C extends PlatformToChains<P>

#### Hierarchy

- CircleBridge

- Defined in core/definitions/dist/esm/protocols/circleBridge.d.ts:9
- Defined in core/definitions/dist/esm/protocols/circleBridge.d.ts:50

#####
Index

### Methods

isTransferCompleted
parseTransactionDetails
redeem
transfer

## Methods

### isTransferCompleted

- isTransferCompleted(message): Promise<boolean>

- #### Parameters

  - ##### message: {
    destinationCaller: UniversalAddress;
    destinationDomain: "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base";
    nonce: bigint;
    payload: { readonly burnToken: UniversalAddress; readonly mintRecipient: UniversalAddress; readonly amount: bigint; readonly messageSender: UniversalAddress; };
    recipient: UniversalAddress;
    sender: UniversalAddress;
    sourceDomain: "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base";
    }

    - ##### destinationCaller: UniversalAddress

    - ##### destinationDomain: "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"

    - ##### nonce: bigint

    - ##### payload: { readonly burnToken: UniversalAddress; readonly mintRecipient: UniversalAddress; readonly amount: bigint; readonly messageSender: UniversalAddress; }

    - ##### recipient: UniversalAddress

    - ##### sender: UniversalAddress

    - ##### sourceDomain: "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"

  #### Returns Promise<boolean>

  - Defined in core/definitions/dist/esm/protocols/circleBridge.d.ts:53

### parseTransactionDetails

- parseTransactionDetails(txid): Promise<CircleTransferMessage>

- #### Parameters

  - ##### txid: string

  #### Returns Promise<CircleTransferMessage>

  - Defined in core/definitions/dist/esm/protocols/circleBridge.d.ts:54

### redeem

- redeem(sender, message, attestation): AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

- #### Parameters

  - ##### sender: AccountAddress<C>

  - ##### message: {
    destinationCaller: UniversalAddress;
    destinationDomain: "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base";
    nonce: bigint;
    payload: { readonly burnToken: UniversalAddress; readonly mintRecipient: UniversalAddress; readonly amount: bigint; readonly messageSender: UniversalAddress; };
    recipient: UniversalAddress;
    sender: UniversalAddress;
    sourceDomain: "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base";
    }

    - ##### destinationCaller: UniversalAddress

    - ##### destinationDomain: "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"

    - ##### nonce: bigint

    - ##### payload: { readonly burnToken: UniversalAddress; readonly mintRecipient: UniversalAddress; readonly amount: bigint; readonly messageSender: UniversalAddress; }

    - ##### recipient: UniversalAddress

    - ##### sender: UniversalAddress

    - ##### sourceDomain: "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"

  - ##### attestation: string

  #### Returns AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

  - Defined in core/definitions/dist/esm/protocols/circleBridge.d.ts:51

### transfer

- transfer(sender, recipient, amount): AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

- #### Parameters

  - ##### sender: AccountAddress<C>

  - ##### recipient: ChainAddress

  - ##### amount: bigint

  #### Returns AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

  - Defined in core/definitions/dist/esm/protocols/circleBridge.d.ts:52

Generated using TypeDoc